#ifndef LMX2306_H
#define LMX2306_H

//-------------------------------------------------------------
#define PLL_FreqOSC 4000 // in kHz
#define PLL_FreqBand 35010 // in kHz
#define PLL_FreqStep 10 // in kHz
#define PLL_CountChannel 20
#define PLL_OffDisplNCh 61
//-------------------------------------------------------------
#define PLL_DATA1 PORTG|=0b00001000  // PORTG.3=1
#define PLL_DATA0 PORTG&=0b11110111  // PORTG.3=0
#define PLL_CLOCK1 PORTG|=0b00010000 //PORTG.4=1
#define PLL_CLOCK0 PORTG&=0b11101111 //PORTG.4=0
#define PLL_LE PORTB.7
//-------------------------------------------------------------

#ifdef AntennaCtrlUse
    void PLL_send(unsigned long data, unsigned char cn);
    void PLL_SetFreq(unsigned char num_freq);
    unsigned int PLL_GetFreq(unsigned char num_freq);
#endif

#endif
